package com.blazinggames.musatic
{
	import com.blazinggames.musatic.assets.Assets;
	import com.blazinggames.musatic.assets.IScreenManager;
	
	import starling.display.Button;
	import starling.display.Image;
	import starling.display.Sprite;
	import starling.events.Event;
	
	public class AboutScreen extends Sprite
	{
		private var _screenManager:IScreenManager;
		private var _image:Image;
		private var _exitButton:Button;
		
		public function AboutScreen(controller:IScreenManager)
		{
			super();
			_screenManager = controller;
			_image = new Image(Assets.getSpriteSheet().getTexture("AboutScreen0000"));
			addChild(_image);
			_exitButton = new Button(Assets.getSpriteSheet().getTexture("MiniExitButton0000"));
			_exitButton.x = 530;
			_exitButton.y = 430;
			_exitButton.addEventListener(Event.TRIGGERED, handleExitButton);
			addChild(_exitButton);
		}
		
		private function handleExitButton(e:Event):void
		{
			trace("exit button pushed");
			_screenManager.changeScreen("Title");
		}
	}
}