package com.blazinggames.musatic
{
	import com.blazinggames.musatic.assets.Assets;
	
	import starling.animation.Tween;
	import starling.display.Image;
	import starling.display.Sprite;
	
	public class Results extends Sprite
	{
		public static const PERFECT:int = 0;
		public static const GOOD:int = 1;
		public static const OKAY:int = 2;
		public static const POOR:int = 3;
		
		private var _result:int;
		private var _image:Image;
		private var _tween:Tween;
		
		public function Results(res:int = POOR)
		{
			super();
			_image = new Image(Assets.getSpriteSheet().getTexture("Results000" + res));
			addChild(_image);
			_result = res;
		}

		public function get result():int
		{
			return _result;
		}

		public function set result(value:int):void
		{
			_result = value;
			_image.texture = Assets.getSpriteSheet().getTexture("Results000" + value);
		}

		public function get tween():Tween
		{
			return _tween;
		}

		public function set tween(value:Tween):void
		{
			_tween = value;
		}


	}
}